Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderValue

    java.lang.Object
      com.beasys.commerce.foundation.SmartValue
          com.beasys.commerce.ebusiness.order.OrderValue

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class OrderValue

extends SmartValue

This class represents the state of Order entity.

See Also
  `Order`, `OrderHome`, `Order.getOrderByValue()`, `Order.setOrderByValue(OrderValue)`, Serialized Form

Field Summary
`List` | `adjustmentPresentations` Deprecated See BEA Commerce product offering
`Date` | `createdDate` Deprecated See BEA Commerce product offering
`Customer` | `customer` Deprecated See BEA Commerce product offering
`javax.ejb.Handle` | `customerHandle` Deprecated See BEA Commerce product offering
`String` | `identifier` Deprecated See BEA Commerce product offering
`Collection` | `orderLines` Deprecated See BEA Commerce product offering
`String` | `orderStatus` Deprecated See BEA Commerce product offering
`PaymentTransaction` | `paymentTransaction` Deprecated See BEA Commerce product offering
`javax.ejb.Handle` | `paymentTransactionHandle` Deprecated See BEA Commerce product offering
`Money` | `price` Deprecated See BEA Commerce product offering
`Money` | `shipping` Deprecated See BEA Commerce product offering
`com.beasys.commerce.axiom.contact.Address` | `shippingAddress` Deprecated See BEA Commerce product offering
`String` | `shippingMethod` Deprecated See BEA Commerce product offering
`String` | `specialInstructions` Deprecated See BEA Commerce product offering
`String` | `splittingPreference` Deprecated See BEA Commerce product offering
`double` | `subtotal` Deprecated See BEA Commerce product offering
`Money` | `tax` Deprecated See BEA Commerce product offering

Constructor Summary
`OrderValue()` Deprecated See BEA Commerce product offering

Method Summary
`Money` | `getBaseShipping()` Deprecated See BEA Commerce product offering
`Money` | `getTotal(int totalType)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### customerHandle

    public javax.ejb.Handle customerHandle

  Deprecated See BEA Commerce product offering

### paymentTransactionHandle

    public javax.ejb.Handle paymentTransactionHandle

  Deprecated See BEA Commerce product offering

### identifier

    public String identifier

  Deprecated See BEA Commerce product offering
  Primary key attribue. Represents the state of the associated OrderPk object.

### createdDate

    public Date createdDate

  Deprecated See BEA Commerce product offering
  Date of creation of the order

### shippingMethod

    public String shippingMethod

  Deprecated See BEA Commerce product offering
  Shipping method

### customer

    public transient Customer customer

  Deprecated See BEA Commerce product offering
  A transient reference to the Customer entity

### shippingAddress

    public com.beasys.commerce.axiom.contact.Address shippingAddress

  Deprecated See BEA Commerce product offering
  Shipping address

### shipping

    public Money shipping

  Deprecated See BEA Commerce product offering
  Shipping cost

### paymentTransaction

    public transient PaymentTransaction paymentTransaction

  Deprecated See BEA Commerce product offering
  A transient reference to the PaymentTransaction entity

### orderStatus

    public String orderStatus

  Deprecated See BEA Commerce product offering
  Status of the order

### orderLines

    public Collection orderLines

  Deprecated See BEA Commerce product offering
  Collection of OrderLine objects associated with this order

### tax

    public Money tax

  Deprecated See BEA Commerce product offering
  Total tax on the order

### price

    public Money price

  Deprecated See BEA Commerce product offering
  Total value of the order

### subtotal

    public double subtotal

  Deprecated See BEA Commerce product offering
  Subtotal of the order

### specialInstructions

    public String specialInstructions

  Deprecated See BEA Commerce product offering
  Special instructions for shipping

### splittingPreference

    public String splittingPreference

  Deprecated See BEA Commerce product offering
  Order splitting preference

### adjustmentPresentations

    public List adjustmentPresentations

  Deprecated See BEA Commerce product offering
  Order Adjustments, mostly discounts, used by the JSP, as a list of OrderDiscountPresentation objects. This is retrieved only when using the OrderAdjustmentPersistence select method.

Constructor Detail

### OrderValue

    public OrderValue()

  Deprecated See BEA Commerce product offering

  Constructs an OrderValue object

Method Detail

### getTotal

    public Money getTotal(int totalType)
                   throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Gets the order total for the given total type

  Parameters
    `total` - type
  Returns
    Money object containing the specified total
  Throws
    `InvalidArgumentException` - if an invalid total type parameter is passed
  See Also
    `OrderConstants`

### getBaseShipping

    public Money getBaseShipping()

  Deprecated See BEA Commerce product offering

  The base shipping is not kept in the database currently. It must hence be re-calculated from the order adjustment (the discount that was applied) and the discounted shipping value.

  Returns
    the shipping before discount as a Money object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved